cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_block_rfq_quotes \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_block_rfq_quotes",
"params": {
"block_rfq_id": 1
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_block_rfq_quotes"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_block_rfq_quotes",
"params": { "block_rfq_id": 1 }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/get_block_rfq_quotes',
params: {block_rfq_id: 1}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_block_rfq_quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"jsonrpc": "2.0",
"result": {
"amount": 20000,
"block_rfq_id": 1,
"block_rfq_quote_id": 8,
"creation_timestamp": 1731076586371,
"direction": "buy",
"execution_instruction": "all_or_none",
"filled_amount": 0,
"hedge": {
"amount": 10,
"direction": "buy",
"instrument_name": "BTC-PERPETUAL",
"price": 70000
},
"label": "example_quote",
"last_update_timestamp": 1731076638591,
"legs": [
{
"direction": "buy",
"instrument_name": "BTC-15NOV24",
"price": 74600,
"ratio": 1
}
],
"price": 74600,
"quote_state": "open",
"replaced": false
}
}Block RFQ
private/get_block_rfq_quotes
Maker method
Retrieves all open quotes for Block RFQs. When a block_rfq_id is specified, only the open quotes for that particular Block RFQ will be returned. When a label is specified, all quotes with this label are returned. block_rfq_quote_id returns one specific quote.
Use private/add_block_rfq_quote to add quotes, or private/get_block_rfqs to retrieve Block RFQ information.
📖 Related Article: Deribit Block RFQ API walkthrough
Scope: rat#view or wallet:transactions:read
GET
/
private
/
get_block_rfq_quotes
cURL
Query Parameters
ID of the Block RFQ
User defined label for the Block RFQ quote (maximum 64 characters). Used to identify quotes of a selected Block RFQ
ID of the Block RFQ quote
Was this page helpful?
⌘I